commit: f433c8e00272e75302f480c3b7921e8f1a6c8e6b
Author: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sun May 1 22:46:25 2016 +0000
Commit: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sun May 1 22:46:25 2016 +0000
URL: https://gitweb.gentoo.org/dev/mrueg.git/commit/?id=f433c8e0
Version bump, remove old
Package-Manager: portage-2.2.28
dev-python/jira/Manifest | 1 +
dev-python/jira/jira-1.0.5.ebuild | 36 ++++++++++++++++++++++++++++++++++++
2 files changed, 37 insertions(+)
diff --git a/dev-python/jira/Manifest b/dev-python/jira/Manifest
index 91ae8bb..cf495ae 100644
--- a/dev-python/jira/Manifest
+++ b/dev-python/jira/Manifest
@@ -1 +1,2 @@
DIST jira-1.0.3.tar.gz 100130 SHA256
4c32bed737ae461d8cc92eaf19f7edc90afcb7af1556f22073947eb5b3f80de7 SHA512
0403711ef9bd367115ed8f454295df75284da66d6b726dba130784a37b16dfb9d1d8b6b6a32bf175c7c4bf398ea40599bfa3ba3d4b2482f5942b6943e5a8407f
WHIRLPOOL
57a3a1ee58394f45cacaa62b56bcb16c92a50983874a87639b513c441b68492254ce555b65faf392190145b032a7f95c476bc9dfc4dae813808c2a3a2b807c81
+DIST jira-1.0.5.tar.gz 113738 SHA256
4085f72397ffc898019f7eea2c51a099e0a5de6ba2b1f9541db940ebda890240 SHA512
e84e96813b672f57f85613da5a0e9e960e191cf8037146b6f80229563a544839ab3b650894064d29ed22db1bd022ef401e693e3b20aaf8c58cb525b2614edab6
WHIRLPOOL
016b8d859f8a331a1e06c1f765a1898262e7ab80a7324e1a7f0ae95f1b64891ae52ea4151d0ca5c487056ed85135cf89b00d1bdeb22c788f7fa4cb72941a39cd
diff --git a/dev-python/jira/jira-1.0.5.ebuild
b/dev-python/jira/jira-1.0.5.ebuild
new file mode 100644
index 0000000..57ad679
--- /dev/null
+++ b/dev-python/jira/jira-1.0.5.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=(python{2_7,3_4})
+
+inherit distutils-r1 vcs-snapshot
+
+DESCRIPTION="Python JIRA Library is the easiest way to automate JIRA"
+HOMEPAGE="https://github.com/pycontribs/jira"
+SRC_URI="https://github.com/pycontribs/jira/archive/${PV}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+RDEPEND=">=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+ dev-python/requests-toolbelt[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.6.0[${PYTHON_USEDEP}]
+ dev-python/requests-kerberos[${PYTHON_USEDEP}]
+ dev-python/filemagic[${PYTHON_USEDEP}]
+ dev-python/pycrypto[${PYTHON_USEDEP}]
+ >=dev-python/requests-oauthlib-0.3.3[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '>=dev-python/tlslite-0.4.4[${PYTHON_USEDEP}]'
python_2_7 )"
+
+DEPEND="test? ( ${RDEPEND}
+ dev-python/pytest[${PYTHON_USEDEP}] )
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+RESTRICT="test"
+
+python_test() {
+ py.test || die
+}